NixNote (2.1.7) stable; urgency=low
  * Fixed: Search by date attributes not working with PPA builds - issue #149
  * Fixed: Editor fonts and sorting notes - issue #156
  * Fixed: Nixnote often crashes
  * Fixed: Can't search / replace with as replacement. - issue #180
  * Enabled the spell check code for Windows edition
  * Fixed Windows build (thanks to https://github.com/boo-yee)
 -- Robert Spiegel <nightingale7@gmail.com>  Tue, 17 May 2022 10:00:00 +0200

NixNote (2.1.6) stable; urgency=low
  * Updated russian translation (thanks to Александр, ra3ggi@gmail.com)
  * Removed default text for "insert code block" and added keyboard shortcut Ctrl+Shift+L
  * Added new command options for "signalGui" --openNoteUrl,  --openExternalNoteUrl,  --openNoteNewTabUrl
    thanks to Rodrigo Eliseu, https://github.com/rodelrod
  * Fixed macOS build
  * Improved http request logging (in debug level)
  * Experimental change to fix the 429 error in UserStore.getUser - eliminated most calls to UserStore.getUser
  * Improved handling of authorization tokens; improved logging
  * Further improvements in sync and handling of user data
 -- Robert Spiegel <nightingale7@gmail.com>  Tue, 05 May 2020 10:14:47 +0200

NixNote (2.1.5) stable; urgency=low
  * Updated qevercloud (Evernote API) to latest development version (v.4.1.0) - Evernote API 1.29
  * Set Evernote request timeout to 30 seconds, added Evernote network request logging (in DEBUG mode)
  * Evernote request timeout increased to 4 minutes (as 30 seconds seems to be too small for some users/use cases)
  * Fixed url insertion code (one more time)
 -- Robert Spiegel <nightingale7@gmail.com>  Wed, 16 Oct 2019 09:03:50 +0200

NixNote (2.1.4) stable; urgency=low
  * Fixed few sync problems (e.g. involving "map" or "svg" tag)
  * Fixed html handling in relation in urls on text paste
  * Updated qevercloud (Evernote API) to latest version (v.4.0.0) - Evernote API 1.28
  * Fixed problem with not removing tags when all of them should be removed from a note, Issue #96
  * Added sort by "encrypted notes first"
  * Added page margins for note output to PDF
  * Corrected insert of non breaking spaces on Tab
  * Fixed url insertion code (2x)
  * Minor logging improvements
 -- Robert Spiegel <nightingale7@gmail.com>  Fri, 09 Aug 2019 16:00:50 +0200

NixNote (2.1.3) stable; urgency=low
  * Updated german translation (2x), thanks to https://github.com/stemabu
  * Fixed various issues involving translation and minor interface adjustments
  * Delete node dialog now respects "Confirm deletes" Preference options
  * Cleanup in wording of database backup/restore/import notes (as "backup" means basically export of *all* notes)
  * Updated german translation, thanks to https://github.com/stemabu
  * Typo fixes thanks to https://github.com/Discostu36
  * Fixed "Focus on New Note does not work if Note is created directly after starting Nixnote" Issue #77
  * Added possibility to create real "Note Links" (Link directly to individual notes from anywhere)
    until now nixnote only used "In-App Note Links" - experimental feature. Issue #84
    https://dev.evernote.com/doc/articles/note_links.php
  * Updated japanese translation, thanks to https://github.com/junf
  * Fixed enml cleanup for "a" tag involving "name" attribute. Before it could cause sync problem when specific html was pasted in.
  * Fixed cleanup of nested html tags - this could cause various sync problems with specific more complex html markup.
  * Override the mime type from "type" attribute in enml by mime info from resource; this fixes display problem
    in business cards
  * Added "Ctrl+Shift+C" as shortcut for "ToDo" checkbox
  * Added html comment cleanup to enml cleanup; this fixes among other problem with editing busines cards in nixnote
  * Fixed in location dialog; location now displays in decimals not in degrees
 -- Robert Spiegel <nightingale7@gmail.com>  Tue, 26 Mar 2019 08:14:36 +0100

NixNote (2.1.2) stable; urgency=low
  * Make project cross-buildable issue #67; from https://bugs.debian.org/915590
  * Added italian translation, thanks to Rino Russo
  * Synchronized translation files with source code, fixed missing display of translation credits
  * Added default shortcut "Ctrl+Shift+K" for "Copy the current note URL to the clipboard"
  * New app icon
  * Chinese translation update; thanks to https://github.com/hosiet
  * "Copy Note URL" title changed to "Copy Note Link" as it is the same function which had 2 names
  * Added alternative keyboard shortcut to quit the app (Alt+Q)
  * Fixed: cursor jumps to search after sync - issue #59, improved sync error notifications
  * Restored "sample_exits" (NixNote note scripting examples) from upstream repository
  * Added button with wiki article link to "Preferences/Exits" with function description
  * Synced qevercloud source with source repository (currently at tag v2.2.1)
  * Fixes in LaTeX handling
  * Experimental AppImage build with Qt 5.11 and community version of WebKit
 -- Robert Spiegel <nightingale7@gmail.com>  Tue, 01 Jan 2019 19:41:27 +0100

NixNote (2.1.1) stable; urgency=low
  * Chinese translation update; thanks to https://github.com/hosiet
  * Fixed problem with missing translations files in final build
  * Fixed typo in readme and added logging when opening note attachments
  * Added dependency to libqt5sql5-sqlite in PPA build
  * For the java encryption code just the "jar" file is now installed
  * Fixed path to tidy include files
  * "changelog.txt" now contains list of changes and "debian/changelog" it is a copy of it
  * Fixed few text typos; thanks to https://github.com/hosiet
  * Added few resolutions of app icon
 -- Robert Spiegel <nightingale7@gmail.com>  Wed, 05 Dec 2018 14:20:03 +0100

NixNote (2.1.0) stable; urgency=low
  * Minor logging improvement in case app is run from wrong directory.
  * Added sort by "tags" option
  * Added "Date" mime mail header field (applied patch by https://github.com/the02, Issue #52)
  * Fixed problem with "Could not parse stylesheet of object XY" warning (invalid default css for searchInputCss)
 -- Robert Spiegel <nightingale7@gmail.com>  Tue, 6 Nov 2018 12:00:00 -0400

NixNote (2.1.0-beta4) unstable; urgency=low
  * Make the sync and email shortcut key global to all app windows, and add sync and email toolbar buttons to
    all editor windows.
    This enables emailing and syncing from any open note window, instead of only from the main app screen.
    Thanks to @MRC01 (https://github.com/MRC01).
  * Debian packaging for PPA.
  * Fixed display problem with PDFs attachments, when "Display PDFs inline" is on, fixed bug where PDF
    attachment was deleted from note (with display inline mode).
  * Travis CI build added (stable and development).
  * Fixed main window not showing on "new note" when invoked from systray - (Issue #8).
  * Fixed middle and double click action on system tray menu (remove click action as this can't work - as it shows tray menu).
  * Fixed page number not decreasing in "PDF inline preview".
  * Default debug level is now INFO.
  * Spellchecking completely refactored and improved. The spell checker is now embedded (not a plugin).
    Dictionary locale (language) switching now works. User dictionaries are per locale.
  * Improved scan of available hunspell dictionaries (e.g. ignore hyphenation dictionaries).
  * Fixed "New Note" button creating 2 new notes - Issue #34
  * Fixed note inserted table html - Issue #27
  * Fixed build not stripping the binary in release build
  * Switched from tidy-html56 PPA package to nixnote2-tidy
  * Spellchecker now checks all available locale and in case of problem does a fallback to the first one - Issue #25
  * Refactoring and further improvement of note html cleanup and conversion to ENML
  * Simple working solution with encrypted notes (with the existing 64bit "medium" security RC2 cipher implemented in nixnote v2.0)
  * Fixed problem with a tag having "id" attribute (but no href attribute)
  * Improved formatting of LaTeX formula; unfortunately the whole functionality is not very stable (=> marked in UI as "experimental")
    See Issue #46
  * Fixed problem with html5 tags (like article, header, ...)
  * Fixed gui font size for search box and after switch in narrow/wide mode
  * Fixed attachment paste inserting bad markup for temporary image
  * Improved logging in case of other conflicting nixnote instance detected
 -- Robert Spiegel <nightingale7@gmail.com>  Tue, 23 Oct 2018 12:00:00 -0400

NixNote (2.1.0-beta3) unstable; urgency=low
  * Added few sort options (menu View)
  * Fixed to-do enml cleanup
  * Improved logging in "Import folders"
  * Quick fix/workaround for import of unfinished file in "Import folders" - files
    with ".tmp" in file name are ignored; thus file can be copied as ".tmp", then
    renamed
  * Removed logic which should activate "autostart" (as it currently doesn't work with
    AppImage packaging; this can be done manually; see wiki)
  * Optimized "show" main window logic
  * "Simplify formatting" has now kbd shortcut (Ctrl-Space)
  * Fixed potential log file access conflict if 2 instances were running
  * Temporarily removed the "Count: ...." message, as it could cover recent error message
  * Removed --syncAndExit option, as there is already another way to do it command line
    parameter "sync"
  * Adjusted menu Help/Data and log location info to display active data/config paths
  * Fixed bug in command line argument handling which prevented command line "commands"
    e.g. "nixnote2 signalGui --shutdown" && "nixnote2 signalGui --show"
  * Debian packaging
 -- Robert Spiegel <nightingale7@gmail.com>  Tue, 04 Sep 2018 12:00:00 -0400

NixNote (2.1.0-beta2) unstable; urgency=low
  * Fixed european date formats (wrong order of day/month)
  * Updated translation files with string from source code
  * Fixed: deleting tag crashes app
  * Fixed tray icon behaviour in some special cases (show trayicon now defaults to true)
  * Added new menu option Help/Getting started
  * Restored option to open notes in new tab
 -- Robert Spiegel <nightingale7@gmail.com>  Sat, 22 Aug 2018 12:00:00 -0400

NixNote (2.1.0-beta1) unstable; urgency=low
  * Various minor improvements and stabilisation
  * Fixed bug with media attachments
  * Improved HTML Simplify
  * Removed both webcam and screenshoot functionality (there are better tools for bot actions)
  * Show/Hide is now simplified to "Show" as previously it could lead to inconsistent behaviour
  * Sys Tray menu functionality cleanup
  * New feature search and index without [diacritics](https://en.wikipedia.org/wiki/Diacritic). This is highly
    useful for some eastern european languages. As this requires reindexing whole database, activation currently
    needs to be done manually (I'll write later some Howto)
  * Remove "auto hide toolbar option", as it was not working correctly
  * PDF export improvements
    * fixed: PDF export file picker stays in background after first PDF export.. then stays hidden=>confusing
    * OK dialog is useless
    * fixed: Filedialog should add pdf extension
  * Insert Date/Time now respect locale settings; added shortcut for Insert Date and Insert Time
    few more european date formats added
  * Adjusted middle mouse click behaviour (middle click now opens in new window)
 -- Robert Spiegel <nightingale7@gmail.com>  Sat, 04 Aug 2018 12:00:00 -0400

NixNote (2.1.0-alfa10) unstable; urgency=low
  * Simplified content of the Help menu. Removed unrelevant items. "Message Log Info" now shows
    log file location & instructions.
  * Further stabilisation of html cleanup.
  * Duplicate note will now mark note as "- copy".
  * Added "Simplify html" to clean html garbage e.g. after paste from some web page.
    So far only very experimental version. Discards images. Will be improved later.
 -- Robert Spiegel <nightingale7@gmail.com>  Fri, 13 Jul 2018 12:00:00 -0400

NixNote (2.1.0-alfa8) unstable; urgency=low
  * Added **docker build**. Creating binaries ouf of source is now very straightforward.
  * Improved reporting and logging of errors (mainly for sync errors). The messages may be now
    more technical (can be improved later), but should at least display always and more
    details are in log.
 -- Robert Spiegel <nightingale7@gmail.com>  Fri, 06 Jul 2018 12:00:00 -0400

NixNote (2.1.0-alfa7) unstable; urgency=low
  * **Redesigned html cleanup** to prevent sync errors. Now newest html tidy libray is used (currently v.5.6).
    Before system level tidy executable was used, which could be like 9 years old.
    Pasting ~any html content into note should work now. Although sometimes images are not recognised.
    Images need to be attached manually (e.g. by drag & drop.)
  * Improved exception handling and logging. Removed log level setting in gui. Log level may now be set
    from command line using e.g. --logLevel=1 for debug level.
  * Changed some setting defaults - e.g. which columns are initially shown (default "title" only).
    Settings can be changed in preferences and are preserved on next run (same as before).
 -- Robert Spiegel <nightingale7@gmail.com>  Fri, 06 Jul 2018 12:00:00 -0400

NixNote (2.1.0-alfa6) unstable; urgency=low
  * [AppImage packaging](https://appimage.org/) using [linuxdeployqt](https://github.com/probonopd/linuxdeployqt).
    This should allow easy deployment "anywhere" no worry about missing dependencies
    and later use newest libraries.
  * Focus on search box after "all notes"
  * **Title column in note table view now display compound information** - Title + sync needed + relevance hint.
    (Sync is signalized by triangle at begin, if the note is found "more relevant" in search its displaed
    bold). May be later made configurable.
    Main aim is to be able to hide all other columns. Sorting is relevance+date update - so you may
    just display title column & hide all others. See: [compound title preview](https://www.dropbox.com/sh/62lnikzyf4r0sa2/AADMk-EHBwvBt7G5bOga9tyia?dl=0&preview=RS-6-compound-title.png)
  * Removed function of opening notes in new tabs - doesn't work stable and is only confusing. Could be
    re-added back later (commit id 6149a745d014f55352b2e6cad8ff4637414861b7).
  * Improved logging in case there is problem with resources (and note is set to read only in nixnote).
 -- Robert Spiegel <nightingale7@gmail.com>  Fri, 06 Jul 2018 12:00:00 -0400

NixNote (2.1.0-alfa5) unstable; urgency=low
  * Minor improvement in font color/background color (highlight selection).
    Tooltip now shows how to use. Keyboard shortcuts possible (default Ctrl-d, Ctrl-Shift-H). Context
    menu option added. Color buttons will preserve state across program restart.
  * Tooltips with kbd shortcut info for all editor and main toolbar icons added.
  * Few more default kbd shortcuts added.
  * Remove hardcoded build in kbd shortcuts (now all comes from shortcuts.ini)
  * Changed theme handling - now all themes come from ini file (incl. of the Default theme). This is
    similar to shortcuts.txt.
  * Clear search text, after click on "All notes".
  * Restructured main toolbar.
  * Renamed theme.ini to themes.ini because of structure changes prevent loading of legacy user themes
    (they will need minor fixes to work with new version). To make things easier, now all CSS is inline.
    Loading from file my be reintroduced later.
 -- Robert Spiegel <nightingale7@gmail.com>  Mon, 02 Jul 2018 12:00:00 -0400

NixNote (2.1.0-alfa4) unstable; urgency=low
  * Merged changes from [jeffkowalski/Nixnote2](https://github.com/jeffkowalski/Nixnote2)
    and [RJVB/nixnote2](https://github.com/RJVB/nixnote2) - **various fixes, build config for macOS**
  * **Rewrite of the path handling logic after merge. Now standard compliant path for config and user data are used.**
  * Program has 3 directory paths "config dir", "program data dir" (like images), "user data" (database logs)
 -- Robert Spiegel <nightingale7@gmail.com>  Mon, 25 Jun 2018 12:00:00 -0400

NixNote (2.1.0-alfa3) unstable; urgency=low
  * Added simple search term relevance evaluation and sorting for free text search.
  * Some note editing and toolbar tweeks (color picker has now restricted list of colors).
 -- Robert Spiegel <nightingale7@gmail.com>  Mon, 18 Jun 2018 12:00:00 -0400

NixNote (2.1.0-alfa1) unstable; urgency=low
  * Fixed [#363](https://github.com/baumgarr/nixnote2/issues/363) (**Unknown Tag record key: 1004/1006**)
  * Fixed minor error in date (copy of "fixed Date Format setting item bug for yy-MM-dd format" by julee)
  * Added new compact date format yyMMdd
  * Discarded ellipsis in date columns to allow more compact display
  * Fixed fix text typos
 -- Robert Spiegel <nightingale7@gmail.com>  Mon, 06 Jun 2018 12:00:00 -0400

NixNote (2.0.2) stable; urgency=low
  * Added the ability to code user exit routines.
  * Added <pre> opton to enter pre-formatted text.
  * Changed UTF-8 encoding to be the default option.
  * Better C++11 compatibility.                    
  * Bug fixes.
 -- Randy Baumgarte <randy@fbn.cx>  Tue, 12 Sep 2017 12:00:00 -0400


NixNote (2.0.1) stable; urgency=low
  * Add the ability to customize some aspects of a table
    within a note.
  * Added an auto-save interval. This can be customized 
    in the preferences dialog.
  * Add the ability to fully justify text.
  * Add "double click" tray option. May not work on all
    Window managers & isn't recommended with the 
    "single click" option.
  * Add the ability to specify the db location via a 
    --condigDir command line option.
  * Add option to intercept SIGHUP on Linux.
  * Add option to clear & mark complete multiple reminders
    from the note list.
  * Added support for reminder search syntax & attribute filters. 
  * Add support for new plugin locations.
  * Chinese translation improvements.
  * Performance improvements & Bug fixes.
 -- Randy Baumgarte <randy@fbn.cx>  Thu, 9 Mar 2017 12:00:00 -0400


NixNote (2.0) stable; urgency=low
  * Added the ability to export a note as a PDF.
  * Added the ability to alter the default notebook.
  * Added a new material theme.
  * Ctrl+S will automatically save a note that has been changed.
  * Bug fixes.
 -- Randy Baumgarte <randy@fbn.cx>  Tue, 7 Feb 2017 12:00:00 -0400


NixNote (2.0-beta-11) stable; urgency=low
  * Added the ability to paste multiple attachments at a time.
  * Added the ability to force a reindexing of a specific note.
  * Added the ability to disable font preview in the editor 
    dialog.
  * Added the ability to enable/disable note reminders from
    the command line.
  * Added the ability to re-download a specific note from 
    Evernote.
  * Added a "test" button on the email preferences dialog.
  * Added socks5 proxy support.
  * Added the experimental option to force UTF8 encoding if 
    not specified by Evernote.
  * Added a dialog box to show which the currently defined
    shortcuts.
  * Added "About Qt" dialog box.
  * Added a command to open the Github page.
  * Added the ability to use find/replace shortcuts in an
    external window.
  * Added the ability to automatically restart after the
    API rate limit has been exceeded (experimental).
  * Added the option to show a popup on sync errors.
  * Added better Qt5 support.
  * Better support for Windows builds.
  * Bug fixes.
 -- Randy Baumgarte <randy@fbn.cx>  Wed, 28 Dec 2016 12:00:00 -0400

NixNote (2.0-beta-10) stable; urgency=low
  * Splt Hunspell into a plugin.
  * Bug fixes.
 -- Randy Baumgarte <randy@fbn.cx>  Sun, 18 Sep 2016 12:00:00 -0400


NixNote (2.0-beta-9) stable; urgency=low
  * Added the ability to append to an existing note via the 
    command line.
  * Added the ability to disable or customize thumnail intervals.
  * Bug fixes.
 -- Randy Baumgarte <randy@fbn.cx>  Sun, 14 Aug 2016 12:00:00 -0400


NixNote (2.0-beta-8) stable; urgency=low
  * Added the ability to open and close a notebook via the
    command line.
  * Separated the webcam into a separate plugin so 
    opencv is not required.
  * Added a few new shortcuts.
  * Bug fixes.
 -- Randy Baumgarte <randy@fbn.cx>  Sat, 25 Jun 2016 12:00:00 -0400


NixNote (2.0-beta-7) stable; urgency=low
  * Added the ability to create a Table of Contents from 
    selected notes.
  * More aggressive cleanup of notes to remove invalid
    attributes.
  * Note synchronization no longer stops after the first
    failure.
  * Added more command line options.
  * Added the option to automatically add a username to 
    new notes.
  * Updated Czech translation.
  * Bug fixes.
 -- Randy Baumgarte <randy@fbn.cx>  Fri, 18 Dec 2015 18:00:00 -0400


NixNote (2.0-beta-6) stable; urgency=low
  * Added a "Presentation Mode" that hides almost 
    everything except the editor, the attributes bar, 
    and the tabs of open notes.
  * Added the ability to customize the editor's 
    default font & background color via the theme.ini.  
    This is for people who were experiencing problems 
    with darker themes.  A "Dark Editor" theme has 
    also been included as an example.
  * The default for viewing PDFs intline has been 
    changed to "no" due to a weird error with Gnome.  
  * A lot of different command line options have been   
    added. This also makes nixnot2-cmd obsolete.  
  * Added the option to disable PDF local indexing.  
    This only impacts new/modified PDFs.  Data received 
    from Evernote is still searched.
  * Better mesasges when a note sync fails.
  * Bug fixes.
 -- Randy Baumgarte <randy@fbn.cx>  Wed, 09 Dec 2015 20:00:00 -0400


NixNote (2.0-beta-5) stable; urgency=low
  * Added the ability to email notes.
  * Searching will now highlight PDF results.
  * Added Print Preview & the ability to only print s
    elected text.
  * Notes that are marked as shortcuts are now visible 
    in the tray icon.
  * Added the option to use notify-send instead of Qt's 
    popup notification.
  * A colors.txt file can be added to customize note
    background color options.
  * Basic support for nixnote2-cmd utility.
  * Various GUI enhancements.
  * Lots of bug fixes.
 -- Randy Baumgarte <randy@fbn.cx>  Mon, 16 Nov 2015 14:00:00 -0400


NixNote (2.0-beta-4) stable; urgency=low
  * Added the ability to auto-hide the editor tool bar.
  * Added the ability to show/hide more GUI componennts.
  * Added the ability to customize tray icon actions.               
  * Added more command line options.
  * Various GUI enhancements.
  * Lots of bug fixes.
 -- Randy Baumgarte <randy@fbn.cx>  Tue, 13 Oct 2015 14:00:00 -0400


NixNote (2.0-beta-3) stable; urgency=low
  * Added the ability to change GUI fonts & font sizes.
  * Added the ability to change GUI icons.
  * Added the option to only show popup notices if a sync fails.
  * Added debug option to disable tag name sorting to bypass 
    non-ASCII character bug.
  * Lots of bug fixes.
 -- Randy Baumgarte <randy@fbn.cx>  Sat, 04 Apr 2015 14:00:00 -0400


NixNote (2.0-beta-2) stable; urgency=low
  * Beta 2.  Lots of bug fixes and removal of Thrift.
-- Randy Baumgarte <randy@fbn.cx> Sat, 26 Apr 2014 14:00:00 -0400
